Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.wsrp.core
Class Templates

    java.lang.Object
      org.jboss.portal.wsrp.core.Templates

All Implemented Interfaces:
  java.io.Serializable

    public class Templates

extends java.lang.Object
implements java.io.Serializable

See Also:
  Serialized Form

Field Summary
`protected java.lang.String` | `blockingActionTemplate`
`protected java.lang.String` | `defaultTemplate`
`protected Extension[]` | `extensions`
`protected java.lang.String` | `renderTemplate`
`protected java.lang.String` | `resourceTemplate`
`protected java.lang.String` | `secureBlockingActionTemplate`
`protected java.lang.String` | `secureDefaultTemplate`
`protected java.lang.String` | `secureRenderTemplate`
`protected java.lang.String` | `secureResourceTemplate`

Constructor Summary
`Templates()`
`Templates(java.lang.String defaultTemplate, java.lang.String blockingActionTemplate, java.lang.String renderTemplate, java.lang.String resourceTemplate, java.lang.String secureDefaultTemplate, java.lang.String secureBlockingActionTemplate, java.lang.String secureRenderTemplate, java.lang.String secureResourceTemplate, Extension[] extensions)`

Method Summary
`java.lang.String` | `getBlockingActionTemplate()`
`java.lang.String` | `getDefaultTemplate()`
`Extension[]` | `getExtensions()`
`java.lang.String` | `getRenderTemplate()`
`java.lang.String` | `getResourceTemplate()`
`java.lang.String` | `getSecureBlockingActionTemplate()`
`java.lang.String` | `getSecureDefaultTemplate()`
`java.lang.String` | `getSecureRenderTemplate()`
`java.lang.String` | `getSecureResourceTemplate()`
`void` | `setBlockingActionTemplate(java.lang.String blockingActionTemplate)`
`void` | `setDefaultTemplate(java.lang.String defaultTemplate)`
`void` | `setExtensions(Extension[] extensions)`
`void` | `setRenderTemplate(java.lang.String renderTemplate)`
`void` | `setResourceTemplate(java.lang.String resourceTemplate)`
`void` | `setSecureBlockingActionTemplate(java.lang.String secureBlockingActionTemplate)`
`void` | `setSecureDefaultTemplate(java.lang.String secureDefaultTemplate)`
`void` | `setSecureRenderTemplate(java.lang.String secureRenderTemplate)`
`void` | `setSecureResourceTemplate(java.lang.String secureResourceTemplate)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### defaultTemplate

    protected java.lang.String defaultTemplate

### blockingActionTemplate

    protected java.lang.String blockingActionTemplate

### renderTemplate

    protected java.lang.String renderTemplate

### resourceTemplate

    protected java.lang.String resourceTemplate

### secureDefaultTemplate

    protected java.lang.String secureDefaultTemplate

### secureBlockingActionTemplate

    protected java.lang.String secureBlockingActionTemplate

### secureRenderTemplate

    protected java.lang.String secureRenderTemplate

### secureResourceTemplate

    protected java.lang.String secureResourceTemplate

### extensions

    protected Extension[] extensions

Constructor Detail

### Templates

    public Templates()

### Templates

    public Templates(java.lang.String defaultTemplate,
                     java.lang.String blockingActionTemplate,
                     java.lang.String renderTemplate,
                     java.lang.String resourceTemplate,
                     java.lang.String secureDefaultTemplate,
                     java.lang.String secureBlockingActionTemplate,
                     java.lang.String secureRenderTemplate,
                     java.lang.String secureResourceTemplate,
                     Extension[] extensions)

Method Detail

### getDefaultTemplate

    public java.lang.String getDefaultTemplate()

### setDefaultTemplate

    public void setDefaultTemplate(java.lang.String defaultTemplate)

### getBlockingActionTemplate

    public java.lang.String getBlockingActionTemplate()

### setBlockingActionTemplate

    public void setBlockingActionTemplate(java.lang.String blockingActionTemplate)

### getRenderTemplate

    public java.lang.String getRenderTemplate()

### setRenderTemplate

    public void setRenderTemplate(java.lang.String renderTemplate)

### getResourceTemplate

    public java.lang.String getResourceTemplate()

### setResourceTemplate

    public void setResourceTemplate(java.lang.String resourceTemplate)

### getSecureDefaultTemplate

    public java.lang.String getSecureDefaultTemplate()

### setSecureDefaultTemplate

    public void setSecureDefaultTemplate(java.lang.String secureDefaultTemplate)

### getSecureBlockingActionTemplate

    public java.lang.String getSecureBlockingActionTemplate()

### setSecureBlockingActionTemplate

    public void setSecureBlockingActionTemplate(java.lang.String secureBlockingActionTemplate)

### getSecureRenderTemplate

    public java.lang.String getSecureRenderTemplate()

### setSecureRenderTemplate

    public void setSecureRenderTemplate(java.lang.String secureRenderTemplate)

### getSecureResourceTemplate

    public java.lang.String getSecureResourceTemplate()

### setSecureResourceTemplate

    public void setSecureResourceTemplate(java.lang.String secureResourceTemplate)

### getExtensions

    public Extension[] getExtensions()

### setExtensions

    public void setExtensions(Extension[] extensions)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD